<?php
include("config.php");
include("conexao_sinsweb.php");

if ($_GET['cep'] > 0) {
	$q_endereco = mysql_query("SELECT agendamento.*, empresa.cnpj as empresa_cnpj, empresa.nome as empresa_nome
								FROM agendamento
								inner join empresa on (agendamento.empresa = empresa.cnpj)
								where agendamento.codigo =".$_GET['cep']
								, $conexao_sinsweb);
    if(mysql_num_rows($q_endereco) == 0)
    {
     	$data_cadastro   	= 'NAO CADASTRADO *********';
     	$data_hora   		= 'NAO CADASTRADO *********';
     	$responsavel_nome  	= '**************';
     	$responsavel_tel   	= '**************';
     	$responsavel_tipo   = '**************';
     	$trabalhador_nome   = '**************';
     	$trabalhador_cpf   	= '**************';
     	$empresa_cnpj   	= '**************';
     	$empresa_nome   	= '**************';
	}
	else	
    {
		$local = mysql_fetch_array($q_endereco);
     	$data_cadastro   		= $local['data_cadastro'];
	  	$data_cadastro=strtotime($data_cadastro);
	  	$data_cadastro=date("d/m/Y H:i",$data_cadastro);
		
     	$data_hora   		= $local['data_hora'];
	  	$data_hora=strtotime($data_hora);
	  	$data_hora=date("d/m/Y H:i",$data_hora);

     	$responsavel_nome  		= $local['responsavel_nome'];
     	$responsavel_telefone 	= $local['responsavel_telefone'];
		if ($local['responsavel_tipo'] == 'ftip_cont')
	     	{$responsavel_tipo   	= 'CONTADOR';}
		else
    	 	{$responsavel_tipo   	= 'EMPRESA';}
     	$trabalhador_nome   	= $local['trabalhador_nome'];
     	$trabalhador_cpf   		= $local['trabalhador_cpf'];
     	$empresa_cnpj   		= $local['empresa_cnpj'];
     	$empresa_nome   		= $local['empresa_nome'];
		
		if ($local['cod_cancelamento'] <> 0)
		{$status='CANCELADO';}
		else
		{$status='CONFIRMADO';}
	}

    if (!empty($data_hora) ||!empty($trabalhador_nome)) {
        $xml = '<?xml version="1.0" encoding="ISO-8859-1"?>';
        $xml .= "<cep>";
        $xml .= "  <data_cadastro>".$data_cadastro."</data_cadastro>";
        $xml .= "  <data_hora>".$data_hora."</data_hora>";
        $xml .= "  <responsavel_nome>".$responsavel_nome."</responsavel_nome>";
        $xml .= "  <responsavel_telefone>".$responsavel_telefone."</responsavel_telefone>";
        $xml .= "  <responsavel_tipo>".$responsavel_tipo."</responsavel_tipo>";
        $xml .= "  <trabalhador_nome>".$trabalhador_nome."</trabalhador_nome>";
        $xml .= "  <trabalhador_cpf>".$trabalhador_cpf."</trabalhador_cpf>";
        $xml .= "  <empresa_cnpj>".$empresa_cnpj."</empresa_cnpj>";
        $xml .= "  <empresa_nome>".$empresa_nome."</empresa_nome>";
        $xml .= "  <status>".$status."</status>";
        $xml .= "</cep>";

        header("Content-type: text/xml; charset=ISO-8859-1");
        echo $xml;

    }
	
}

?>